Ext.define('TestTask.Model', {
  extend: 'Ext.app.ViewModel',

  alias: 'viewmodel.model',

  data: {
    applicationName: 'NN-TestTask',
    loopValue: 2,
    taskInfo: [
      '<h2>Информация по задаче</h2>',
      '<ul>',
        '<li>Построить спираль Фибоначчи с возможностью задавать параметры (произвольная положительная константа (отличная от дефолта), кол-во витков отображаемое  пользователю..).</li>',
        '<li>Интерфейс должен быть адаптивным (мобильные, десктоп), должен возвращать корректную(читаемую пользователем (понятную)) ошибку в случае  если введены неверные значения.</li>',
        '<li>Прорисовка спирали должна происходит без перезагрузки всей страницы.</li>',
      '</ul>'
    ].join(''),
  },

  formulas: {
    loopLimit: () => Ext.getApplication().getCurrentProfile().getLimit()
  }
});